﻿@model List<TrainedTaxonomy>



<section class="content-header">
    <h1>
        TrainedTaxonomies
        <small>List</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li>
        <li class="active">Here</li>
    </ol>
</section>
<section class="content">
    <div class="row">
        <!-- left column -->
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Data Table With Full Features</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div id="example1_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row"><div class="col-sm-6"><div class="dataTables_length" id="example1_length"><label>Show <select name="example1_length" aria-controls="example1" class="form-control input-sm"><option value="10">10</option><option value="25">25</option><option value="50">50</option><option value="100">100</option></select> entries</label></div></div><div class="col-sm-6"><div id="example1_filter" class="dataTables_filter"><label>Search:<input type="search" class="form-control input-sm" placeholder="" aria-controls="example1"></label></div></div></div><div class="row">
                            <div class="col-sm-12">
                                <table id="example1" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                                    <thead>
                                        <tr role="row">
                                            <th class="sorting_asc" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" style="width: 164.933px;" aria-sort="ascending" aria-label="Cluster Name: activate to sort column descending">Process Name</th>
                                            <th class="sorting_asc" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" style="width: 164.933px;" aria-sort="ascending" aria-label="Cluster Name: activate to sort column descending">Classifiers</th>
                                            <th class="sorting_asc" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" style="width: 164.933px;" aria-sort="ascending">Actions/Status</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        @foreach (var c in Model)
                                        {
                                            <tr role="row" class="odd">
                                                <td class="sorting_1">@c.ProcessName</td>
                                                <td>
                                                    <a asp-controller="TrainedTaxonomy" asp-action="ListClassifiers" asp-route-rootId="@c.Id" class="btn bg-aqua btn-flat margin">List Classifiers</a>

                                                </td>
                                                <td>
                                                    @if (c.Status == TrainedTaxonomyStatus.WaitingToStartTraining)
                                                    {
                                                        <a class="btn bg-maroon btn-flat margin" asp-controller="TrainedTaxonomy" asp-action="Train" asp-route-rootId="@c.Id">Click to start training</a>
                                                    }
                                                    else if (c.Status == TrainedTaxonomyStatus.TrainingInProgress)
                                                    {
                                                        <button type="button" class="btn bg-orange btn-flat margin">Training...</button>
                                                    }
                                                    else if (c.Status == TrainedTaxonomyStatus.TrainingCompleted)
                                                    {
                                                        <a asp-controller="TrainedTaxonomy" asp-action="TestBulk" asp-route-id="@c.Id" class="btn bg-olive btn-flat margin">Trained, click to test (Bulk)</a>
                                                        <a asp-controller="TrainedTaxonomy" asp-action="TestSingle" asp-route-id="@c.Id" asp-route-text="" class="btn bg-olive btn-flat margin">Trained, click to test (Single)</a>
                                                    }
                                                </td>
                                                
                                                @*<td>
                                                    <div class="btn-group">

                                                        @if (c.Trained)
                                                        {
                                                            <button class="btn btn-secondary">Train</button>
                                                            <a asp-controller="TrainedTaxonomy" asp-action="Test" asp-route-rootId="@c.Id.ToString()" class="btn btn-info">Test with data</a>
                                                        }
                                                        else
                                                        {
                                                            <a asp-controller="TrainedTaxonomy" asp-action="Train" asp-route-rootId="@c.Id.ToString()" class="btn btn-info">Train</a>
                                                            <button class="btn btn-secondary">Test with data</button>

                                                        }


                                                    </div>

                                                </td>*@
                                            </tr>
                                        }
                                    </tbody>

                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
    </div>
    <!-- /.row -->
</section>


